:root {
  --font-blue: #239DF9;
  --font-black: #012345;
  --font-black2: #212121;
  --left-offset: 99px;
  --border-grey: #b9b9b9;
  --tile-width: 298px;
  --content-width: 900px;
}

.sticky {
  position: sticky;
  position: -webkit-sticky;
  top: 24px;
  margin-top: 16px;
}

.community-nav {
  background-color: var(--font-black);
  width: 100%;
  height: 62px;
  color: white;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  font-family: NokiaPureTextLt;
  letter-spacing: 0.5px;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  /* padding-left: calc((100vw - var(--content-width)) / 2); */
  padding-left: 15%;
}

.community-nav .title {
  font-size: 20px;
  line-height: 30px;
  padding-right: 24px;
}

.community-nav .divider {
  height: 31px;
  width: 1px;
  border-right: 1px solid white;
}

.community-nav .nav-list {
  list-style: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 0;
  padding-left: 24px;
}

.community-nav .nav-list li {
  padding-right: 32px;
}

.community-nav .nav-list li a {
  text-decoration: none;
  color: inherit;
}

.community-nav .active {
  font-family: NokiaPureTextBd;
}

.hero-banner {
  background-color: var(--font-black);
  /* width: 100vw; */
  height: 209px;
  /* padding-left: calc((100vw - var(--content-width)) / 2); */
  padding-left: 15%;
  padding-top: 32px;
  font-family: NokiaPureTextLt;
}

.hero-banner .title {
  font-size: 60px;
  color: white;
  line-height: 78px;
  letter-spacing: 1.5px;
}

.hero-banner .title span {
  color: var(--font-blue);
}

.hero-banner .disclaimer {
  background-color: #EBF6FE;
  border: 1px solid #239DF9;
  border-radius: 5px;
  width: fit-content;
  height: 42px;
  margin-top: 32px;
  padding-left: 40px;
  padding-top: 8px;
  position: relative;
}

.hero-banner .disclaimer img {
  position: absolute;
  top: 8px;
  left: 8px;
  width: 24px;
}

.hero-banner .disclaimer p {
  font-size: 16px;
  line-height: 24px;
  color: var(--font-black2);
}

.community-about .content {
  margin-right: auto;
  margin-left: auto;
  padding-bottom: 49px;
  max-width: 900px;
}

.community-about .content h3 {
  margin: 32px 0 16px;
}

.community-about .content p {
  margin-bottom: 16px;
}

.community-about .content h1, .community-about .content h2, .community-about .content h3, .community-about .content h4, .community-about .content h5, .community-about .content h6 {
  color: var(--font-blue);
}

.community-submit {
  padding-bottom: 70px;
}

.community-submit .content {
  margin-right: auto;
  margin-left: auto;
  padding-top: 48px;
  color: #212121;
  max-width: 1161px;
}

.community-submit .content .title {
  font-family: NokiaPureTextLt;
  font-size: 20px;
  line-height: 30px;
  text-align: center;
  margin-bottom: 32px;
}

.community-submit .content .main-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-line-pack: justify;
      align-content: space-between;
  width: 100%;
}

.community-submit .content .main-content form {
  width: 100%;
  padding-right: 127px;
}

.community-submit .content .main-content form input[type='submit']:disabled {
  cursor: not-allowed;
}

.community-submit .content .main-content form .form-buttons {
  display: block;
}

.community-submit .content .main-content .img-container img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.community-article .hero-banner .label {
  color: var(--font-blue);
  font-size: 12px;
  line-height: 16px;
  margin-top: 32px;
}

.community-article .hero-banner .article-title-and-button {
  max-width: 1200px;
  margin-right: 64px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.community-article .hero-banner .article-title {
  color: white;
  font-size: 26px;
  line-height: 39px;
  margin-top: 16px;
}

.community-article .content {
  max-width: 1200px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  margin: 24px auto;
}

.community-article .content #md {
  max-width: 800px;
}

.community-article .content #md img {
  max-width: 80%;
}

.community-article .content #md p {
  margin-bottom: 1.5rem;
}

.community-article .content #md h1, .community-article .content #md h2, .community-article .content #md h3, .community-article .content #md h4, .community-article .content #md h5, .community-article .content #md h6 {
  color: var(--font-blue);
}

.community-article .extra {
  width: 350px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
          box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
  padding: 8px;
  margin-bottom: 16px;
}

.community-article .extra.manifest table {
  font-size: 14px;
}

.community-article .extra.manifest table th {
  width: 35%;
}

.community-article .extra.manifest table td {
  border-top: none;
}

.community-article .extra.links {
  font-size: 14px;
  padding-left: 16px;
}

.community-article .extra.links .title {
  font-weight: 700;
}

.community-examples .content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  max-width: 1181px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 32px;
}

.community-examples .content .filter {
  width: 261px;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  margin-right: 24px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
          box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
  padding: 16px;
  color: var(--font-black2);
}

.community-examples .content .filter .js-shuffle-search {
  background-image: url("/static/img/community/search.png");
  background-repeat: no-repeat;
  background-size: 12px;
  background-position-y: center;
  background-position-x: 4px;
  padding: 2px 4px 2px 20px;
  height: 21px;
  width: 100%;
  border: 1px solid var(--border-grey);
  font-size: 12px;
  line-height: 14px;
}

.community-examples .content .filter .filter-title {
  font-size: 20px;
  line-height: 30px;
}

.community-examples .content .filter .check-box-group {
  border-top: 1px solid var(--border-grey);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin-bottom: 12px;
}

.community-examples .content .filter .check-box-group:last-child {
  margin-bottom: 0;
}

.community-examples .content .filter .check-box-group .filter-label {
  color: var(--font-blue);
  font-size: 16px;
  line-height: 24px;
}

.community-examples .content .filter .check-box-group label {
  font-weight: 300;
  margin-left: 4px;
}

.community-examples .content .example-tiles {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: (minmax(var(--tile-width), 1fr))[auto-fit];
      grid-template-columns: repeat(auto-fit, minmax(var(--tile-width), 1fr));
  grid-column-gap: 24px;
  grid-row-gap: 24px;
  width: 100%;
}

.community-examples .content .example-tiles .column {
  width: var(--tile-width);
}

.community-examples .content .example-tiles a {
  text-decoration: none;
  color: var(--font-black2);
}

.community-examples .content .example-tiles .example-tile-link {
  -webkit-transition: -webkit-transform 150ms ease;
  transition: -webkit-transform 150ms ease;
  transition: transform 150ms ease;
  transition: transform 150ms ease, -webkit-transform 150ms ease;
}

.community-examples .content .example-tiles .example-tile {
  width: var(--tile-width);
  height: 381px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
          box-shadow: 0 1px 3px 0 rgba(63, 63, 68, 0.15), 0 0 0 1px rgba(63, 63, 68, 0.05);
  position: relative;
}

.community-examples .content .example-tiles .example-tile:hover {
  -webkit-box-shadow: 0 1px 3px 0 rgba(0, 101, 237, 0.15), 0 0 0 1px rgba(0, 101, 237, 0.15);
          box-shadow: 0 1px 3px 0 rgba(0, 101, 237, 0.15), 0 0 0 1px rgba(0, 101, 237, 0.15);
}

.community-examples .content .example-tiles .example-tile .head {
  height: 140px;
  width: 100%;
  background-size: contain;
  background-repeat: no-repeat;
  margin-bottom: 24px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.community-examples .content .example-tiles .example-tile .body {
  padding: 0 20px 16px;
}

.community-examples .content .example-tiles .example-tile .body .title {
  font-size: 16px;
  line-height: 24px;
  height: 48px;
  position: relative;
  margin-bottom: 16px;
}

.community-examples .content .example-tiles .example-tile .body .line-clamp {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  margin-bottom: 16px;
}

.community-examples .content .example-tiles .example-tile .body .line-clamp .abstract {
  font-size: 12px;
  line-height: 18px;
}

.community-examples .content .example-tiles .example-tile .body .details {
  font-size: 12px;
  line-height: 18px;
  position: absolute;
  left: 20px;
  bottom: 8px;
}

.community-examples .content .example-tiles .example-tile .body .details .blue {
  color: var(--font-blue);
}

.community-examples .content .example-tiles .category-im .head {
  background-image: url("/static/img/community/Intent.png");
}

.community-examples .content .example-tiles .category-wfm .head {
  background-image: url("/static/img/community/Workflow.png");
}

.community-examples .content .example-tiles .category-tutorial-code .head {
  background-image: url("/static/img/community/Tutorials.png");
}
/*# sourceMappingURL=community_submissions.css.map */

.form-check {
  display: block;
  min-height: 1.5rem;
  padding-left: 1.5em;
  margin-bottom: 0.125rem;
}
.form-check .form-check-input {
  float: left;
  margin-left: -1.5em;
}

.form-check-input {
  width: 1em;
  height: 1em;
  margin-top: 0.25em;
  vertical-align: top;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: 1px solid rgba(0, 0, 0, 0.25);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  -webkit-print-color-adjust: exact;
  color-adjust: exact;
}
.form-check-input[type=checkbox] {
  border-radius: 0.25em;
}
.form-check-input[type=radio] {
  border-radius: 50%;
}
.form-check-input:active {
  filter: brightness(90%);
}
.form-check-input:focus {
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}
.form-check-input:checked {
  background-color: #0d6efd;
  border-color: #0d6efd;
}
.form-check-input:checked[type=checkbox] {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
}
.form-check-input:checked[type=radio] {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e");
}
.form-check-input[type=checkbox]:indeterminate {
  background-color: #0d6efd;
  border-color: #0d6efd;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e");
}
.form-check-input:disabled {
  pointer-events: none;
  filter: none;
  opacity: 0.5;
}
.form-check-input[disabled] ~ .form-check-label, .form-check-input:disabled ~ .form-check-label {
  opacity: 0.5;
}

.form-switch {
  padding-left: 2.5em;
}
.form-switch .form-check-input {
  width: 2em;
  margin-left: -2.5em;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
  background-position: left center;
  border-radius: 2em;
  transition: background-position 0.15s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .form-switch .form-check-input {
    transition: none;
  }
}
.form-switch .form-check-input:focus {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%2386b7fe'/%3e%3c/svg%3e");
}
.form-switch .form-check-input:checked {
  background-position: right center;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e");
}

.form-check-inline {
  display: inline-block;
  margin-right: 1rem;
}

.form-check-input:hover {
  cursor: pointer;
}
